Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.api
Class UDSColumnInfo

    java.lang.Object
      jet.api.UDSColumnInfo

    public class UDSColumnInfo

extends java.lang.Object

The UDSColumnInfo class stores the column's MetaData information that are returned from ResultSet.

Constructor Summary
`UDSColumnInfo()` The constructor creates a UDS column's information.
`UDSColumnInfo(java.lang.String strName, int iIndex, int iSQLType, java.lang.String strSQLTypeName, int iPrecision, int iLength, int iScale, int iRadix, int iNullable, java.lang.String strRemarks)` The constructor creates a UDS column's information.

Method Summary
`void` | `add(java.lang.String strName, int iIndex, int iSQLType, java.lang.String strSQLTypeName, int iPrecision, int iLength, int iScale, int iRadix, int iNullable, java.lang.String strRemarks)` Creates a UDS column's information.
`int` | `getDataType()` Gets the column's data type.
`int` | `getIndex()` Gets the column index in the resultset.
`int` | `getLength()` Gets the length of the column.
`java.lang.String` | `getName()` Gets the column name.
`int` | `getNullable()` Gets the column's nullability status.
`int` | `getPrecision()` Gets the column's precision.
`int` | `getRadix()` Gets the column's radix.
`java.lang.String` | `getRemarks()` Gets the column's remarks text.
`int` | `getScale()` Gets the column's scale.
`java.lang.String` | `getSQLTypeName()` Gets the column's data type name.
`void` | `setDataType(int iSQLType)` Sets the column's data type.
`void` | `setLength(int iLength)` Sets the column's length.
`void` | `setName(java.lang.String strName)` Sets the column's name.
`void` | `setNullable(int iNullable)` Sets the nullability of values in the designated column.
`void` | `setPrecision(int iPrecision)` Sets the column's precision
`void` | `setRadix(int iRadix)` Sets the column's radix.
`void` | `setRemarks(java.lang.String strRemarks)` Sets the column's remarks.
`void` | `setScale(int iScale)` Sets the column's scale.
`void` | `setSQLTypeName(java.lang.String strSQLTypeName)` Sets the column's SQLTypeName.
`java.lang.String` | `toString()` Gets the column's information of String format.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UDSColumnInfo

    public UDSColumnInfo()

  The constructor creates a UDS column's information.

### UDSColumnInfo

    public UDSColumnInfo(java.lang.String strName,
                         int iIndex,
                         int iSQLType,
                         java.lang.String strSQLTypeName,
                         int iPrecision,
                         int iLength,
                         int iScale,
                         int iRadix,
                         int iNullable,
                         java.lang.String strRemarks)

  The constructor creates a UDS column's information.

  Parameters:
    `strName` - The column's name.
    `iIndex` - The column's index in ResultSet.
    `iSQLType` - The column's type information, same as java.sql.Types.
    `strSQLTypeName` - The column's type name defined in DBMS.
    `iPrecision` - The precision of the column.
    `iLength` - The length of the column.
    `iScale` - The scale of the column, namely, the number of digits to the right of the decimal point.
    `iRadix` - The radix of the column.
    `iNullable` - Indicates the nullability of values in the column; one of `java.sql.ResultSetMetaData.columnNoNulls`, `java.sql.ResultSetMetaData.columnNullable` and `java.sql.ResultSetMetaData.columnNullableUnknown`.
    `strRemarks` - The remark text of the column.

Method Detail

### add

    public void add(java.lang.String strName,
                    int iIndex,
                    int iSQLType,
                    java.lang.String strSQLTypeName,
                    int iPrecision,
                    int iLength,
                    int iScale,
                    int iRadix,
                    int iNullable,
                    java.lang.String strRemarks)

  Creates a UDS column's information.

  Parameters:
    `strName` - The column's name.
    `iIndex` - The column's index in ResultSet.
    `iSQLType` - The column's type information, same as java.sql.Types.
    `strSQLTypeName` - The column's type name defined in DBMS.
    `iPrecision` - The precision of the column.
    `iLength` - The length of the column.
    `iScale` - The scale of the column, namely, the number of digits to the right of the decimal point.
    `iRadix` - The radix of the column.
    `iNullable` - Indicates the nullability of values in the column; one of `java.sql.ResultSetMetaData.columnNoNulls`, `java.sql.ResultSetMetaData.columnNullable` and `java.sql.ResultSetMetaData.columnNullableUnknown`.
    `strRemarks` - The remark text of the column.

### getName

    public java.lang.String getName()

  Gets the column name.

  Returns:
    the column name.

### getIndex

    public int getIndex()

  Gets the column index in the resultset.

  Returns:
    the column index in the resultset.

### getDataType

    public int getDataType()

  Gets the column's data type.

  Returns:
    the SQL Type of the column.

### getSQLTypeName

    public java.lang.String getSQLTypeName()

  Gets the column's data type name.

  Returns:
    the column's SQL type name.

### getPrecision

    public int getPrecision()

  Gets the column's precision.

  Returns:
    the column's precision.

### getLength

    public int getLength()

  Gets the length of the column.

  Returns:
    the length of the column.

### getScale

    public int getScale()

  Gets the column's scale.

  Returns:
    the number of digits to the right of the decimal point of the column.

### getRadix

    public int getRadix()

  Gets the column's radix.

  Returns:
    the column's radix.

### getNullable

    public int getNullable()

  Gets the column's nullability status.

  Returns:
    the nullability status of the column; one of `java.sql.ResultSetMetaData.columnNoNulls`, `java.sql.ResultSetMetaData.columnNullable` and `java.sql.ResultSetMetaData.columnNullableUnknown`.

### getRemarks

    public java.lang.String getRemarks()

  Gets the column's remarks text.

  Returns:
    the column's remarks text.

### setName

    public void setName(java.lang.String strName)

  Sets the column's name.

  Parameters:
    `strName` - The column's name.

### setDataType

    public void setDataType(int iSQLType)

  Sets the column's data type.

  Parameters:
    `iSQLType` - The column's SQL type.

### setSQLTypeName

    public void setSQLTypeName(java.lang.String strSQLTypeName)

  Sets the column's SQLTypeName.

  Parameters:
    `strSQLTypeName` - The column's SQL type name.

### setPrecision

    public void setPrecision(int iPrecision)

  Sets the column's precision

  Parameters:
    `iPrecision` - Column precision.

### setLength

    public void setLength(int iLength)

  Sets the column's length.

  Parameters:
    `iLength` - The column's length.

### setScale

    public void setScale(int iScale)

  Sets the column's scale.

  Parameters:
    `iScale` - The column's scale, namely, the number of digits to the right of the decimal point.

### setRadix

    public void setRadix(int iRadix)

  Sets the column's radix.

  Parameters:
    `iRadix` - The column's radix.

### setNullable

    public void setNullable(int iNullable)

  Sets the nullability of values in the designated column.

  Parameters:
    `iNullable` - The nullability status of the column; one of `java.sql.ResultSetMetaData.columnNoNulls`, `java.sql.ResultSetMetaData.columnNullable` and `java.sql.ResultSetMetaData.columnNullableUnknown`.

### setRemarks

    public void setRemarks(java.lang.String strRemarks)

  Sets the column's remarks.

  Parameters:
    `strRemarks` - The column's remark.

### toString

    public java.lang.String toString()

  Gets the column's information of String format.

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD